// swift-tools-version: 5.9
import PackageDescription

let package = Package(
    name: "CapacitorSockets",
    platforms: [.iOS(.v13)],
    products: [
        .library(
            name: "CapacitorSockets",
            targets: ["SocketsPlugin"])
    ],
    dependencies: [
        .package(url: "https://github.com/ionic-team/capacitor-swift-pm.git", branch: "main")
    ],
    targets: [
        .target(
            name: "SocketsPlugin",
            dependencies: [
                .product(name: "Capacitor", package: "capacitor-swift-pm"),
                .product(name: "Cordova", package: "capacitor-swift-pm")
            ],
            path: "ios/Sources/SocketsPlugin"),
        .testTarget(
            name: "SocketsPluginTests",
            dependencies: ["SocketsPlugin"],
            path: "ios/Tests/SocketsPluginTests")
    ]
)