import { PluginListenerHandle } from "@capacitor/core";

export interface SocketsPlugin {
  create(options: { id: string; }): Promise<void>;
  connect(options: { id: string; host: string; port: number, useTLS?: boolean, acceptInvalidCertificates?: boolean }): Promise<void>;
  send(options: { id: string; message: string }): Promise<void>;
  disconnect(options: { id: string }): Promise<void>;
  close(options: { id: string }): Promise<void>;
  
  addListener(eventName: "state", listenerFunc: (message: { id: string; state: string }) => void): Promise<PluginListenerHandle>;
  addListener(eventName: "message", listenerFunc: (message: { id: string; message: string }) => void): Promise<PluginListenerHandle>;
}
